Subject: Re: Another less/rxvt prob: Not interpreting <backspace>?
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 21 Nov 2002 07:15:49 -0000

> The suggested solution was:
> stty erase ^H
> I modifed that to fit my situation and tried:
> stty erase ^?
...
> This might have unexpected side effects in other
> programs, but at least not in bash which puts the
> tty into raw mode (by way of readline).
...
> Anybody know if I should expect untoward consequences
> by putting 'stty erase ^?' in my .bash_profile?

If you are not totally happy about the 'stty erase blah' approach to solving
your problem, you could try adding the switch '-backspacekey ^H' to your
rxvt command line, so that it reads <something like>

C:\Cygwin\bin\rxvt.exe -geometry 80x58+0+0 -tn cygwin -backspacekey ^H -e
/bin/bash --login -i

(I've got ^H not ^?.) This works fine for me in all contexts including the
one mentioned by you (editing a search string) and I haven't got the phrase
'stty anything' in .bash_profile (or .bashrc or ...).

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/